<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가

$thumb_width = "100"; //썸네일 가로길이
$thumb_height = "70"; //썸네일 세로길이
$quality= 90; //썸네일 퀄리티
$filter[type] = 99;
$filter[arg1] = 100;
$filter[arg2] = 1;
$filter[arg3] = 2;

for ($i=0; $i<count($list); $i++) {

    // 게시물이 세개 이상일 때
    if (count($list) >= '3') {

		$file = $list[$i][file][0][path] .'/'. $list[$i][file][0][file];
		if($list[$i][file][0][view]) { // 첨부파일이 있으면
			$src = $list[$i][file][0][path]."/".$list[$i][file][0][file];
			$thumb = thumbnail($src, $thumb_width, $thumb_height, 0, 1, $quality, 0, "",  $filter, $noimg);
		}  else { // 치에디터 파일 추출
			$edit_img = $list[$i]['wr_content'];
			if (eregi("data/cheditor4[^<>]*\.(gif|jp[e]?g|png|bmp)", $edit_img, $tmp)) {
				$file = $g4[path].'/' . $tmp[0]; // 파일명
				$thumb = thumbnail($file, $thumb_width, $thumb_height, 0, 1, $quality, 0, "",  $filter, $noimg);
			}
		}


		//이미지
		if (file_exists($thumb))
			$thumfile = "{$thumb}";
			else
			//이미지가 없으면
			$thumfile="<img src='{$latest_skin_path}/img/no_image.gif' width='{$thumb_width}' height='{$thumb_height}'>";
			//이미지가 아니네
			if(preg_match("/\.(swf|wma|asf)$/i","$file") && file_exists($file)){
			$thumfile = "<script>doc_write(flash_movie('$file', 'flash$i', '$thumb_width', '$thumb_height', 'transparent'));</script>"; 
			}    

    
        // href
        $href = $g4['bbs_path']."/board.php?bo_table=".$bo_table."&wr_id=".$list[$i]['wr_id'];
    
        // 제목
        $subject = strip_tags($list[$i]['wr_subject']);
    
        if ($i == '0') {

            echo "'{$href}','{$thumfile}','".conv_subject($subject, 30, '..')."'";

        } else {

            echo ",'{$href}','{$thumfile}','".conv_subject($subject, 30, '..')."'";

        }

    }

}
?>